import { NgModule } from '@angular/core';
import {
  MatButtonModule,
  MatCheckboxModule,
  MatSidenavModule,
  MatMenuModule,
  MatListModule,
  MatGridListModule,
  MatToolbarModule,
  MatIconModule,
  MatTabsModule,
  MatButtonToggleModule,
  MatFormFieldModule,
  MatInputModule,
  MatSelectModule,
  MatDatepickerModule,
  MatNativeDateModule,
  MatRadioModule,
  MatPaginatorModule,
  MatSnackBarModule,
  MatTableModule,
  MatSortModule,
  MatDialogModule,
  MatProgressSpinnerModule,
  MatCardModule
} from '@angular/material';

@NgModule({
  imports: [MatButtonModule,
            MatCheckboxModule,
            MatSidenavModule,
            MatMenuModule,
            MatListModule,
            MatGridListModule,
            MatToolbarModule,
            MatIconModule,
            MatTabsModule,
            MatButtonToggleModule,
            MatInputModule,
            MatFormFieldModule,
            MatSelectModule,
            MatDatepickerModule,
            MatNativeDateModule,
            MatRadioModule,
            MatPaginatorModule,
            MatSnackBarModule,
            MatTableModule,
            MatSortModule,
            MatDialogModule,
            MatProgressSpinnerModule,
            MatCardModule
          ],
  exports: [
            MatButtonModule,
            MatCheckboxModule,
            MatSidenavModule,
            MatMenuModule,
            MatListModule,
            MatGridListModule,
            MatToolbarModule,
            MatIconModule,
            MatTabsModule,
            MatButtonToggleModule,
            MatInputModule,
            MatFormFieldModule,
            MatSelectModule,
            MatDatepickerModule,
            MatNativeDateModule,
            MatRadioModule,
            MatPaginatorModule,
            MatSnackBarModule,
            MatTableModule,
            MatSortModule,
            MatDialogModule,
            MatProgressSpinnerModule,
            MatCardModule
          ],
})
export class MaterialModule { }
